// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef CREATEIMAGE_H
#define CREATEIMAGE_H
#include <vector>
#include "Dal.h"
/*******************************************************
*
*
*******************************************************/
void addInt8Image(DataSet *set, const char *name, const vector< vector<int8> >& image);

/*******************************************************
*
*
*******************************************************/
void addInt16Image(DataSet *set, const char *name, const vector< vector<int16> >& image);


/*******************************************************
*
*
*******************************************************/
void addReal32Image(DataSet *set, const char *name, const vector< vector<real32> >& image);





/*******************************************************
*
*
*******************************************************/


vector<vector<int16> >  loadInt16Image(const string inSet, const char * name, int &nx, int &ny);

vector<vector<int16> >  loadInt16Image(const DataSet *set, const char * name, int &nx, int &ny);


vector<vector<float> >  loadFloatImage(const string inSet, const char * name, int &nx, int &ny);
vector<vector<float> >  loadFloatImage(const DataSet *set, const char * name, int &nx, int &ny);



  /************************************************************
*
*
*
************************************************************/
void createImageFile(string file, vector< vector<float> > &image, int x0, int y0);




void addSource(vector<vector<float> > &image, float xPos, float yPos, float height);



#endif
